
# Update the desktop database:
/usr/bin/update-desktop-database ./usr/share/applications

# Update hicolor theme cache:
/usr/bin/gtk-update-icon-cache -f -t ./usr/share/icons/hicolor

# Update the mime database:
/usr/bin/update-mime-database -Vn usr/share/mime

config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there is no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/xmedconrc.new

( cd usr/lib64 ; rm -rf libmdc.so )
( cd usr/lib64 ; ln -sf libmdc.so.3.0.0 libmdc.so )
( cd usr/lib64 ; rm -rf libmdc.so.3 )
( cd usr/lib64 ; ln -sf libmdc.so.3.0.0 libmdc.so.3 )
